Submit a ticketCall us

AnnouncementsSystem Monitoring for Dummies

Tired of monitoring failures disrupting the system, application, and service? Learn the key monitoring concepts needed to help you create sophisticated monitoring and alerting strategies that can help you save time and money. Read the eBook.

Get your free eBook.

Home > Success Center > Orion Platform > Orion - Knowledgebase Articles > Compatibility of SolarWinds Orion products for installation and upgrade and End of Life Support

Compatibility of SolarWinds Orion products for installation and upgrade and End of Life Support

Updated March 12, 2019

Overview

The SolarWinds Orion Installer provides an easy-to-follow installation path. The installer checks for product updates, and then presents the installation steps to complete complex upgrades and installations with ease. No need to figure out your upgrade path before you begin - the installer does it for you.

The SolarWinds Product Upgrade Advisor can help you upgrade your Orion products. You should use the Product Upgrade Advisor with the SolarWinds Upgrade Guide to upgrade your Orion products. These include:

  • Engineer's Web Based Toolset (ETS)
  • IP Address Manager (IPAM)
  • Log Analyzer (LA)
  • NetFlow Traffic Analyzer (NTA)
  • Network Configuration Manager (NCM)
  • Network Performance Monitor (NPM)
  • Patch Manager
  • Server & Application Monitor (SAM)
  • Storage Resource Monitor (SRM)
  • User Device Tracker (UDT)
  • Virtualization Manager (VMAN)
  • VoIP & Network Quality Manager (VNQM)
  • Web Performance Monitor (WPM)

Product compatibility charts

The following articles provide updated lists of compatible product versions with NPM and SAM. These charts provide Orion and non-Orion compatibility information.

Products not covered by the Upgrade Advisor


Enterprise Operations Console (EOC)

Upgrade path

You can upgrade any earlier version of EOC directly to 1.6.3. You cannot upgrade from EOC 1.6.3 or earlier to EOC 2.0. Perform a new installation of EOC 2.0 on a different server.

Compatibility of EOC with NPM

Select your version of NPM:

Compatible version(s) of EOC:

  • EOC 1.3.0
  • EOC 1.3.1
  • EOC 1.3.2
  • EOC 1.4.0
  • EOC 1.4.1
  • EOC 1.5
  • EOC 1.6.1
  • EOC 1.6.2
  • EOC 1.6.3
  • EOC 2.0.0

 


Engineer's & Standard Toolset

Compatibility

Select your version of NPM:

Compatible version(s) of Engineer's & Standard Toolset:

  • Toolset 10.6.0
  • Toolset 10.7.0
  • Toolset 10.8.0
  • Toolset 10.9.0
  • Toolset 11.0
  • Toolset 11.0.1
  • Toolset 11.0.2
  • Toolset 11.0.3

Application Performance Monitor (APM)

Compatibility

APM 1.0 is compatible with SAM 6.7 and later. Required files are included in all SAM 6.7 installations. See the APM Getting Started Guide to learn about integrating APM with IIS nodes managed in SAM.

 

Last modified

Tags

Classifications

Public